# getspecialtxes - Dash

#### Parameters

`blockhash` - string

The block hash.

`type` - int

Optional.

Filter special txes by type, -1 means all types (default: -1)

`count` - int

Optional.

The number of transactions to return (default: 10)

`skip` - int

Optional.

The number of transactions to skip (default: 0)

`verbosity` - int

Optional.

0 for hashes, 1 for hex-encoded data, and 2 for JSON object (default: 0)

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "getspecialtxes",
"params": ["00000000000000093711aeacfe1a827cb43c6d626230cdd2e41ad6f43c1e79d3", -1, 10, 0, 0],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": [
        "83dc6c8e03026c0317885f62a7072dfde10014967f59477a0f7b5fc52f44a784"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_getspecialtxes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
